Loading...
Searching...
No Matches
IDXGIAdapterVtbl Struct Reference

`#include <mini_d3d12.h>`

## Public Member Functions

| BEGIN_INTERFACE (IDXGIAdapter *This, REFIID riid, _COM_Outptr_ void **ppvObject)
IDXGIAdapter _In_ REFGUID UINT | _In_reads_bytes_ (DataSize) const void *pData)

## Public Attributes

IDXGIAdapter * | This
IDXGIAdapter _In_ REFGUID | Name
IDXGIAdapter _In_ REFGUID UINT | DataSize
IDXGIAdapter _In_ REFGUID _In_opt_ const IUnknown * | pUnknown
IDXGIAdapter _In_ REFGUID _Inout_ UINT * | pDataSize
IDXGIAdapter _In_ REFGUID _Inout_ UINT _Out_writes_bytes_ pDataSize void * | pData
IDXGIAdapter _In_ REFIID | riid
IDXGIAdapter _In_ REFIID _COM_Outptr_ void ** | ppParent
IDXGIAdapter UINT | Output
IDXGIAdapter UINT _COM_Outptr_ IDXGIOutput ** | ppOutput
IDXGIAdapter _Out_ DXGI_ADAPTER_DESC * | pDesc
IDXGIAdapter _In_ REFGUID | InterfaceName
IDXGIAdapter _In_ REFGUID _Out_ LARGE_INTEGER * | pUMDVersion

## Detailed Description

Definition at line 6314 of file mini_d3d12.h.

## Member Function Documentation

## BEGIN_INTERFACE()

IDXGIAdapterVtbl::BEGIN_INTERFACE | ( | IDXGIAdapter * | This,
|  | REFIID | riid,
|  | _COM_Outptr_ void ** | ppvObject )

References _COM_Outptr_, BEGIN_INTERFACE(), REFIID, riid, STDMETHODCALLTYPE, and This.

Referenced by BEGIN_INTERFACE().

## _In_reads_bytes_()

IDXGIAdapter _In_ REFGUID UINT IDXGIAdapterVtbl::_In_reads_bytes_ | ( | DataSize |  | ) | const

References _In_, DataSize, Name, pData, REFGUID, STDMETHODCALLTYPE, and This.

## Member Data Documentation

## This

IDXGIAdapter * IDXGIAdapterVtbl::This

Definition at line 6326 of file mini_d3d12.h.

Referenced by _In_reads_bytes_(), and BEGIN_INTERFACE().

## Name

IDXGIAdapter _In_ REFGUID IDXGIAdapterVtbl::Name

Definition at line 6336 of file mini_d3d12.h.

Referenced by _In_reads_bytes_().

## DataSize

IDXGIAdapter _In_ REFGUID UINT IDXGIAdapterVtbl::DataSize

Definition at line 6337 of file mini_d3d12.h.

Referenced by _In_reads_bytes_().

## pUnknown

IDXGIAdapter _In_ REFGUID _In_opt_ const IUnknown* IDXGIAdapterVtbl::pUnknown

Definition at line 6347 of file mini_d3d12.h.

## pDataSize

IDXGIAdapter _In_ REFGUID _Inout_ UINT* IDXGIAdapterVtbl::pDataSize

Definition at line 6355 of file mini_d3d12.h.

## pData

IDXGIAdapter _In_ REFGUID _Inout_ UINT _Out_writes_bytes_ pDataSize void* IDXGIAdapterVtbl::pData

Definition at line 6357 of file mini_d3d12.h.

Referenced by _In_reads_bytes_().

## riid

IDXGIAdapter _In_ REFIID IDXGIAdapterVtbl::riid

Definition at line 6363 of file mini_d3d12.h.

Referenced by BEGIN_INTERFACE().

## ppParent

IDXGIAdapter _In_ REFIID _COM_Outptr_ void** IDXGIAdapterVtbl::ppParent

Definition at line 6365 of file mini_d3d12.h.

## Output

IDXGIAdapter UINT IDXGIAdapterVtbl::Output

Definition at line 6370 of file mini_d3d12.h.

## ppOutput

IDXGIAdapter UINT _COM_Outptr_ IDXGIOutput** IDXGIAdapterVtbl::ppOutput

Definition at line 6372 of file mini_d3d12.h.

## pDesc

IDXGIAdapter _Out_ DXGI_ADAPTER_DESC* IDXGIAdapterVtbl::pDesc

Definition at line 6378 of file mini_d3d12.h.

## InterfaceName

IDXGIAdapter _In_ REFGUID IDXGIAdapterVtbl::InterfaceName

Definition at line 6384 of file mini_d3d12.h.

## pUMDVersion

IDXGIAdapter _In_ REFGUID _Out_ LARGE_INTEGER* IDXGIAdapterVtbl::pUMDVersion

Definition at line 6386 of file mini_d3d12.h.

The documentation for this struct was generated from the following file:

- src/runtime/mini_d3d12.h